Getting points on the Market
The method is available for the LaaS model.
Not yet available for Market Yandex Go sellers.
If you are using an API Key token, one of the accesses in the list is required to call the method
- inventory-and-order-processing — Order processing and inventory
- inventory-and-order-processing:read-only — View order information
- pricing — Manage prices
- pricing:read-only — View prices
- offers-and-cards-management — Manage products and cards
- offers-and-cards-management:read-only — View products and cards
- promotion — Product promotion
- promotion:read-only — View promotion information
- finance-and-accounting — View financial data and reports
- communication — Customer communication
- settings-management — Store settings
- supplies-management:read-only — View FBY requests
- all-methods — Full account management
- all-methods:read-only — View all data
Returns a list of Market order pickups.
Request this information regularly to keep up-to-date information in the store's system. For example, once a day.
| ⚙️ Limit: 10 000 requests per hour |
|---|
Request
POST
https://api.partner.market.yandex.ru/v1/businesses/{businessId}/logistics-points
Path parameters
|
Name |
Description |
|
businessId |
Type: integer Cabinet ID. To find out, use the request GET v2/campaigns. ℹ️ What is a cabinet and a store on the Market? Min value: |
Query parameters
|
Name |
Description |
|
limit |
Type: integer The number of values per page. Default: Min value: Max value: |
|
pageToken |
Type: string ID of the results page. If the parameter is omitted, the first page is returned. Pass the value of the output parameter Example: `` |
Responses
200 OK
Information about the pick-up points of the Market.
Body
application/json
{
"status": "OK",
"result": {
"logisticPoints": [
{
"logisticPointId": 1,
"brand": "MARKET",
"address": {},
"workingSchedule": {},
"deliveryRestrictions": {},
"features": [
null
],
"storagePeriod": 0
}
],
"paging": {
"nextPageToken": "example"
}
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
result
Type: object
logisticPoints
Type: object[]
address
Type: object
fullAddress
Type: string
Full address.
Min length:
1Max length:
512Example:
examplegps
Type: object
latitude
Type: number
Width.
longitude
Type: number
Longitude.
GPS coordinates of latitude and longitude.
Example
{ "latitude": 0.5, "longitude": 0.5 }regionId
Type: integer
ID of the region.
Information about the region can be obtained using the method GET v2/regions.
additional
Type: string
Additional information.
Min length:
1Max length:
1024Example:
exampleblock
Type: string
Building number.
Min length:
1Max length:
16Example:
examplebuilding
Type: string
Building number.
Min length:
1Max length:
16Example:
examplecity
Type: string
City.
Min length:
1Max length:
128Example:
examplehouse
Type: string
The house number.
Min length:
1Max length:
16Example:
examplekm
Type: integer
The ordinal number of the kilometer where the pick-up point is located.
Indicated if there is no street in the address.
Min value:
0street
Type: string
Street.
Min length:
1Max length:
128Example:
exampleThe address of the pick-up point.
Example
{ "fullAddress": "example", "gps": { "latitude": 0.5, "longitude": 0.5 }, "regionId": 0, "city": "example", "street": "example", "house": "example", "building": "example", "block": "example", "km": 0, "additional": "example" }brand
Type: string
Type of pick-up point:
MARKET— the Market pick-up point.
Const:
MARKETExample:
exampledeliveryRestrictions
Type: object
dimensionsRestrictions
Type: object
dimensionsSum
Type: integer
The maximum amount of measurements in centimeters.
Min value:
1height
Type: integer
The maximum height in centimeters.
Min value:
1length
Type: integer
The maximum length is in centimeters.
Min value:
1weight
Type: integer
Maximum weight in grams.
Min value:
1width
Type: integer
Maximum width in centimeters.
Min value:
1Restrictions on the size of a single product.
Example
{ "weight": 1, "height": 1, "width": 1, "length": 1, "dimensionsSum": 1 }Restrictions on delivery to the pick-up point.
Example
{ "dimensionsRestrictions": { "weight": 1, "height": 1, "width": 1, "length": 1, "dimensionsSum": 1 } }logisticPointId
Type: integer
ID of the pick-up point.
It can be found using the method POST v1/businesses/{businessId}/logistics-points.
Min value:
1storagePeriod
Type: integer
The shelf life of the order at the pick-up point.
Specified in days.
workingSchedule
Type: object
schedule
Type: object[]
day
Type: string
Day of the week:
MONDAY— Monday.TUESDAY— Tuesday.WEDNESDAY— wednesday.THURSDAY— Thursday.FRIDAY— Friday.SATURDAY— Saturday.SUNDAY— Sunday.
Enum:
MONDAY,TUESDAY,WEDNESDAY,THURSDAY,FRIDAY,SATURDAY,SUNDAYendTime
Type: string
The time of the end of the working day.
Format:
HH:MM.Pattern:
^([0-1][0-9]|2[0-3]):[0-5][0-9]$Example:
examplestartTime
Type: string
The start time of the working day.
Format:
HH:MM.Pattern:
^([0-1][0-9]|2[0-3]):[0-5][0-9]$Example:
exampleWork schedule.
Min items:
1Example
[ { "day": "MONDAY", "startTime": "example", "endTime": "example" } ]holidays
Type: string<date>[] | null
The schedule of public holidays.
Min items:
1Unique items:
trueExample
[ "2025-01-01" ]The opening hours of the pick-up point.
Example
{ "schedule": [ { "day": "MONDAY", "startTime": "example", "endTime": "example" } ], "holidays": [ "2025-01-01" ] }features
Type: string[] | null
Properties of the pick-up point.
Min items:
1Unique items:
trueExample
[ "example" ]Order pick-up points.
Example
[ { "logisticPointId": 1, "brand": "MARKET", "address": { "fullAddress": "example", "gps": { "latitude": 0.5, "longitude": 0.5 }, "regionId": 0, "city": "example", "street": "example", "house": "example", "building": "example", "block": "example", "km": 0, "additional": "example" }, "workingSchedule": { "schedule": [ { "day": "MONDAY", "startTime": "example", "endTime": "example" } ], "holidays": [ "2025-01-01" ] }, "deliveryRestrictions": { "dimensionsRestrictions": { "weight": 1, "height": 1, "width": 1, "length": 1, "dimensionsSum": 1 } }, "features": [ "RETURN_ALLOWED" ], "storagePeriod": 0 } ]paging
Type: object
nextPageToken
Type: string
ID of the next results page.
Example:
exampleThe ID of the next page.
Example
{ "nextPageToken": "example" }Information about order pick-up points.
Example
{ "logisticPoints": [ { "logisticPointId": 1, "brand": "MARKET", "address": { "fullAddress": "example", "gps": { "latitude": 0.5, "longitude": 0.5 }, "regionId": 0, "city": "example", "street": "example", "house": "example", "building": "example", "block": "example", "km": 0, "additional": "example" }, "workingSchedule": { "schedule": [ {} ], "holidays": [ "2025-01-01" ] }, "deliveryRestrictions": { "dimensionsRestrictions": { "weight": 1, "height": 1, "width": 1, "length": 1, "dimensionsSum": 1 } }, "features": [ "RETURN_ALLOWED" ], "storagePeriod": 0 } ], "paging": { "nextPageToken": "example" } }Example
{ "result": { "logisticPoints": [ { "logisticPointId": 1, "brand": "MARKET", "address": { "fullAddress": "example", "gps": {}, "regionId": 0, "city": "example", "street": "example", "house": "example", "building": "example", "block": "example", "km": 0, "additional": "example" }, "workingSchedule": { "schedule": [ null ], "holidays": [ null ] }, "deliveryRestrictions": { "dimensionsRestrictions": {} }, "features": [ "RETURN_ALLOWED" ], "storagePeriod": 0 } ], "paging": { "nextPageToken": "example" } } }
400 Bad Request
The request contains incorrect data. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
The authorization data is not specified in the request. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
The authorization data is incorrect or access to the resource is prohibited. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
The resource access limit has been exceeded. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Internal error of the Market. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -